|  | Home · All Classes · Modules

# QDateTimeEdit.Sections Class Reference
[QtGui module]

### Methods

- __init__ (self, Sections)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- Sections __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, Sections f)
- Sections __iand__ (self, int mask)
- int __int__ (self)
- Sections __invert__ (self)
- Sections __ior__ (self, Sections f)
- Sections __ixor__ (self, Sections f)
- bool __ne__ (self, Sections f)
- Sections __or__ (self, Sections f)
- Sections __or__ (self, int f)
- Sections __xor__ (self, Sections f)
- Sections __xor__ (self, int f)

## Detailed Description

Section may be used whenever Sections is expected.

## Method Documentation

### Sections.__init__ (self, Sections)

### Sections.__init__ (self, int)

### Sections.__init__ (self)

### Sections Sections.__and__ (self, int mask)

### int Sections.__bool__ (self)

### bool Sections.__eq__ (self, Sections f)

### Sections Sections.__iand__ (self, int mask)

### int Sections.__int__ (self)

### Sections Sections.__invert__ (self)

### Sections Sections.__ior__ (self, Sections f)

### Sections Sections.__ixor__ (self, Sections f)

### bool Sections.__ne__ (self, Sections f)

### Sections Sections.__or__ (self, Sections f)

### Sections Sections.__or__ (self, int f)

### Sections Sections.__xor__ (self, Sections f)

### Sections Sections.__xor__ (self, int f)